%define name    libsamplerate
%define version 0.1.0
%define release 1

Summary:      Sample Rate Conversion library
Name:         %{name}
Version:      %{version}
Release:      %{release}%{?distag}%{?repotag}
License:      GPL
Group:        System Environment/Libraries
URL:          http://www.mega-nerd.com/SRC/
Source0:      %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

BuildRequires: gcc-c++ pkgconfig
BuildRequires: libsndfile-devel fftw3-devel

%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is converting
audio from the CD sample rate of 44.1kHz to the 48kHz sample rate used
by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

%package devel
Summary:  Libraries, includes, etc to develop src applications
Group:    Development/Libraries
Requires: libsamplerate = %{version}-%{release}

%description devel
Libraries, include files, etc you can use to develop libsamplerate 
applications.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# we do not want to package the doc Makefile
rm -f doc/Makefile*
# nor binaries in the examples directory
rm -f examples/*.o
# install examples
install -m 0755 examples/sndfile-resample $RPM_BUILD_ROOT%{_bindir}
install -m 0755 examples/varispeed-play $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL README doc examples
%{_bindir}/sndfile-resample
%{_libdir}/libsamplerate.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/libsamplerate.a
%{_libdir}/libsamplerate.la
%{_libdir}/libsamplerate.so
%{_includedir}/samplerate.h
%{_libdir}/pkgconfig/samplerate.pc

%changelog
* Sat Feb 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- updated to 0.1.0
- added missing requires for libsamplerate-devel
- package example binaries
* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.15-1
- added release tags, built for fc1
* Wed May  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.15-1
- update to 0.0.15
* Thu Mar  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.14-1
- update to 0.0.14
* Thu Jan  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.13-2
- fix missing link to shared library
* Thu Jan  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.13-1
- Initial build.

